Page MenuHomePhabricator

Add test for spaceship operator to __config
ClosedPublic

Authored by davezarzycki on Jan 18 2020, 11:14 AM.

Details

Summary

The libcxx test suite auto-detects spaceship operator, but __config does not. This means that the libcxx test suite has been broken for over a month when using top-of-tree clang. This also really ought to be fixed before 10.0.

See: bc633a42dd409dbeb456263e3388b8caa4680aa0

Diff Detail

Event Timeline

davezarzycki created this revision.Jan 18 2020, 11:14 AM
Herald added a project: Restricted Project. · View Herald Transcript
davezarzycki edited the summary of this revision. (Show Details)Jan 18 2020, 11:22 AM
davezarzycki edited the summary of this revision. (Show Details)Jan 18 2020, 11:48 AM

Ping. Feedback would be appreciated. Thanks

hans added a subscriber: hans.Jan 23 2020, 12:21 PM

Eric, Marshall, what do you think?

I'm seeing these failures locally to, on the 10.x branch, and they also seem to be failing on the pre-submit bot, e.g. https://reviews.llvm.org/D73233#1836809

I've also been experiencing these test failures and I'm very much interested in this getting landed.

(I've done this very change independently from you in D73351, so LGTM, but I am not a libc++ expert though.)

EricWF accepted this revision.Jan 24 2020, 10:22 AM

LGTM.

This revision is now accepted and ready to land.Jan 24 2020, 10:22 AM
hans added a comment.Jan 24 2020, 10:38 AM

Thanks! Cherry-picked to 10.x in 39c349e8fc7f4b334cf4b30724b28dfce44a024e
Please let me know if there are any follow-ups.